<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="48dp"
    android:orientation="horizontal"
    android:paddingStart="16dp"
    android:paddingEnd="16dp">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical"
        android:layout_weight="1">

        <TextView
            android:id="@+id/headTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/adLabelTv"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="人气手游风向标" />

        <TextView
            android:id="@+id/adLabelTv"
            android:layout_width="21dp"
            android:layout_height="14dp"
            android:layout_marginStart="4dp"
            android:layout_marginLeft="4dp"
            android:layout_marginEnd="4dp"
            android:layout_marginRight="4dp"
            android:background="@drawable/bg_ad_label"
            android:gravity="center"
            android:text="AD"
            android:textColor="@color/white"
            android:textSize="@dimen/tag_text_size"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/headTitle"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@+id/headTitle"
            app:layout_constraintTop_toTopOf="@+id/headTitle" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/headActionTv"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:drawablePadding="4dp"
        android:gravity="center"
        android:textSize="12sp"
        tools:text="全部" />
</LinearLayout>